Name: nss-mdns
Version: 0.15.1
Release:    1%{?dist}
Summary: glibc plugin for .local name resolution

License: LGPLv2+
URL: https://github.com/lathiat/nss-mdns
Source0: https://github.com/lathiat/nss-mdns/releases/download/v%{version}/nss-mdns-%{version}.tar.gz

Patch1:  nss-mdns-local-heuristic.patch
Patch2:  nss-mdns-local-heuristic-unit.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig(check)
Requires: avahi
Requires: authselect

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality of
the GNU C Library (glibc) providing host name resolution via Multicast DNS
(aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour), effectively allowing
name resolution by common Unix/Linux programs in the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to
run a mDNS responder daemon separately from nss-mdns if you want to register
the local host name via mDNS (e.g. Avahi).


%prep
%autosetup -p1

%build
%configure --libdir=/%{_lib}
%make_build

%check
make check || (cat ./test-suite.log; false)

%install
rm -rf %{buildroot}
%make_install


%post
%{?ldconfig}

%posttrans
authselect enable-feature with-mdns4 &> /dev/null || :

%preun
authselect disable-feature with-mdns4 &> /dev/null || :

%ldconfig_postun


%files
%license LICENSE
%doc README.md NEWS.md ACKNOWLEDGEMENTS.md
/%{_lib}/*.so.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1-1
- initial build
